package cokr.xit.fims.task.web;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.servlet.ModelAndView;

import cokr.xit.fims.crdn.Crdn;
import cokr.xit.fims.crdn.CrdnQuery;
import cokr.xit.fims.crdn.web.Crdn06Controller.METHOD_URL;
import cokr.xit.fims.cvlc.CrdnCvlcpt;
import cokr.xit.fims.excl.CrdnReReg;
import cokr.xit.fims.excl.ExclQuery;
import cokr.xit.fims.excl.LevyExcl;
import cokr.xit.fims.excl.OpnnSbmsn;
import cokr.xit.fims.levy.LevyQuery;
import cokr.xit.fims.levy.Rduct;
import cokr.xit.fims.sprt.CvlcptDscsnCn;
import cokr.xit.fims.sprt.SprtQuery;

@Controller
public class BpvController {

	public static final String CLASS_URL = "/BPV";

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원접수자료 업무", value=CLASS_URL+Cvlc01Controller.CLASS_URL)
	class Cvlc01Controller extends cokr.xit.fims.cvlc.web.Cvlc01Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원접수자료 목록 조회", value=METHOD_URL.getCivilComplaintReceiptDataList)
		public ModelAndView getCivilComplaintReceiptDataList(CrdnQuery query) {
			return super.getCivilComplaintReceiptDataList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원자료 제거", value=METHOD_URL.removeCivilComplaint)
		public ModelAndView removeCivilComplaint(String[] IDs) {
			return super.removeCivilComplaint(IDs);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원접수 초기자료 조회", value=METHOD_URL.getCivilComplaintReceiptInitialDataInfo)
		public ModelAndView getCivilComplaintReceiptInitialDataInfo(HttpServletRequest hReq, CrdnQuery query) {
			return super.getCivilComplaintReceiptInitialDataInfo(hReq, query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 정보 수정", value=METHOD_URL.saveCivilComplaintProcessSection)
		public ModelAndView saveCivilComplaintProcessSection(HttpServletRequest hReq, CrdnCvlcpt crdnCvlcpt, Crdn crdn, MultipartFile[] newFileList, MultipartFile[] modifyFileList) {
			return super.saveCivilComplaintProcessSection(hReq, crdnCvlcpt, crdn, newFileList, modifyFileList);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 자료 복사", value=METHOD_URL.copyCivilComplaintInfo)
		public ModelAndView copyCivilComplaintInfo(String crdnId) {
			return super.copyCivilComplaintInfo(crdnId);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 자료 반송", value=METHOD_URL.sendBackCivilComplaintInfo)
		public ModelAndView sendBackCivilComplaintInfo(String crdnId) {
			return super.sendBackCivilComplaintInfo(crdnId);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원내역 원본 보기", value=METHOD_URL.getCivilComplaintOriginalInfo)
		public ModelAndView getCivilComplaintOriginalInfo(HttpServletRequest hReq, CrdnQuery query) {
			return super.getCivilComplaintOriginalInfo(hReq, query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원내역 원본 한글 파일 생성", value=METHOD_URL.makeFileFromHwpFormat)
		public ModelAndView makeFileFromHwpFormat(CrdnQuery query) {
			return super.makeFileFromHwpFormat(query);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원답변대상자료 업무", value=CLASS_URL+Cvlc02Controller.CLASS_URL)
	class Cvlc02Controller extends cokr.xit.fims.cvlc.web.Cvlc02Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원답변대상자료 목록", value=METHOD_URL.selectCivilComplaintAnswerTargetDataList)
		public ModelAndView selectCivilComplaintAnswerTargetDataList(CrdnQuery query) {
			return super.selectCivilComplaintAnswerTargetDataList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원답변내용 미리보기", value=METHOD_URL.answerPreviewInfo)
		public ModelAndView answerPreviewInfo(HttpServletRequest hReq, CrdnQuery query) {
			return super.answerPreviewInfo(hReq, query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 답변 내용 저장", value=METHOD_URL.updateAnswerContent)
		public ModelAndView updateAnswerContent(CrdnCvlcpt crdnCvlcpt) {
			return super.updateAnswerContent(crdnCvlcpt);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 답변 내용 저장", value=METHOD_URL.updateAnswerTargetProcessStatus)
		public ModelAndView updateAnswerTargetProcessStatus(String processType, String... crdnIDs) {
			return super.updateAnswerTargetProcessStatus(processType, crdnIDs);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원관리 업무", value=CLASS_URL+Cvlc03Controller.CLASS_URL)
	class Cvlc03Controller extends cokr.xit.fims.cvlc.web.Cvlc03Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원자료 목록 조회", value=METHOD_URL.getCivilComplaintList)
		public ModelAndView getCivilComplaintList(CrdnQuery query) {
			return super.getCivilComplaintList(query);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원개별등록 관리 업무", value=CLASS_URL+Cvlc04Controller.CLASS_URL)
	class Cvlc04Controller extends cokr.xit.fims.cvlc.web.Cvlc04Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 새올요청자료 목록 조회", value=METHOD_URL.getDmndDataList)
		public ModelAndView getDmndDataList(CrdnQuery query) {
			return super.getDmndDataList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 새올요청자료 등록", value=METHOD_URL.createDmndDataInfo)
		public ModelAndView createDmndDataInfo(CrdnCvlcpt crdnCvlcpt) {
			return super.createDmndDataInfo(crdnCvlcpt);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 새올요청자료 삭제", value=METHOD_URL.removeDmndDataInfo)
		public ModelAndView removeDmndDataInfo(String[] IDs) {
			return super.removeDmndDataInfo(IDs);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원신고답변 문구 관리 업무", value=CLASS_URL+Cvlc05Controller.CLASS_URL)
	class Cvlc05Controller extends cokr.xit.fims.cvlc.web.Cvlc05Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원신고 답변 문구 설정 조회", value=METHOD_URL.getCvlcptAnswerWordsInfo)
		public ModelAndView getCvlcptAnswerWordsInfo(CrdnQuery crdnQuery) {
			return super.getCvlcptAnswerWordsInfo(crdnQuery);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원신고 답변 문구 설정 저장", value=METHOD_URL.saveCvlcptAnswerWordsInfo)
		public ModelAndView saveCvlcptAnswerWordsInfo(HttpServletRequest hReq, CrdnCvlcpt crdnCvlcpt) {
			return super.saveCvlcptAnswerWordsInfo(hReq, crdnCvlcpt);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 미부과처리건 답변 문구 삭제", value=METHOD_URL.removeCvlcptAnswerWordsInfo)
		public ModelAndView removeCvlcptAnswerWordsInfo(String ansWordsId) {
			return super.removeCvlcptAnswerWordsInfo(ansWordsId);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 계도문 문구 관리 업무", value=CLASS_URL+Cvlc06Controller.CLASS_URL)
	class Cvlc06Controller extends cokr.xit.fims.cvlc.web.Cvlc06Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 계도문 문구 설정 목록", value=METHOD_URL.getWarningWordsList)
		public ModelAndView getWarningWordsList(CrdnQuery crdnQuery) {
			return super.getWarningWordsList(crdnQuery);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원신고 답변 문구 설정 저장", value=METHOD_URL.saveCvlcptAnswerWordsInfo)
		public ModelAndView saveCvlcptAnswerWordsInfo(CrdnCvlcpt crdnCvlcpt) {
			return super.saveCvlcptAnswerWordsInfo(crdnCvlcpt);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 단속자료검사 업무", value=CLASS_URL+Crdn02Controller.CLASS_URL)
	class Crdn02Controller extends cokr.xit.fims.crdn.web.Crdn02Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 검사자료 목록 조회", value=METHOD_URL.getInspectionDataList)
		public ModelAndView getInspectionDataList(CrdnQuery query) {
			return super.getInspectionDataList(query);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 단속등록업무", value=CLASS_URL+Crdn05Controller.CLASS_URL)
	class Crdn05Controller extends cokr.xit.fims.crdn.web.Crdn05Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 당일 입력 단속자료 목록 조회", value=METHOD_URL.getTodayCrdnDataList)
		public ModelAndView getTodayCrdnDataList(CrdnQuery query) {
			return super.getTodayCrdnDataList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 파일 등록 화면", value=METHOD_URL.getFileRegistrationScreen)
		public ModelAndView getFileRegistrationScreen(HttpServletRequest hReq) {
			return super.getFileRegistrationScreen(hReq);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 수기 등록 화면", value=METHOD_URL.getManualRegistrationScreen)
		public ModelAndView getManualRegistrationScreen(HttpServletRequest hReq) {
			return super.getManualRegistrationScreen(hReq);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 수기 등록", value=METHOD_URL.createCrdnDataByManual)
		public ModelAndView createCrdnDataByManual(HttpServletRequest hReq, Crdn crdn, MultipartFile[] newFileList) {
			return super.createCrdnDataByManual(hReq, crdn, newFileList);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 단속업무", value=CLASS_URL+Crdn06Controller.CLASS_URL)
	class Crdn06Controller extends cokr.xit.fims.crdn.web.Crdn06Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 목록", value=METHOD_URL.getCrackdownList)
		public ModelAndView getCrackdownList(CrdnQuery query) {
			return super.getCrackdownList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 수정", value=METHOD_URL.updateCrackdown)
		public ModelAndView updateCrackdown(Crdn crdn) {
			return super.updateCrackdown(crdn);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 삭제", value=METHOD_URL.removeCrackdown)
		public ModelAndView removeCrackdown(Crdn crdn) {
			return super.removeCrackdown(crdn);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 조회", value=METHOD_URL.getCrackdownStatusInfo)
		public ModelAndView getCrackdownStatusInfo(CrdnQuery query) {
			return super.getCrackdownStatusInfo(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속처리상태 수정", value=METHOD_URL.updateCrackdownStatus)
		public ModelAndView updateCrackdownStatus(Crdn crdn) {
			return super.updateCrackdownStatus(crdn);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 단속팀 관리", value=CLASS_URL+Crdn07Controller.CLASS_URL)
	class Crdn07Controller extends cokr.xit.fims.crdn.web.Crdn07Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 단속팀 정보 조회", value=METHOD_URL.getTeamInfo)
		public ModelAndView getTeamInfo(String teamId) {
			return super.getTeamInfo(teamId);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과제외_부과제외관리", value=CLASS_URL+Excl01Controller.CLASS_URL)
	class Excl01Controller extends cokr.xit.fims.excl.web.Excl01Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 부과제외 대장 목록 조회", value=METHOD_URL.getLevyExclList)
		public ModelAndView getLevyExclList(ExclQuery req) {
			return super.getLevyExclList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 부과제외 대장 삭제", value=METHOD_URL.removeLevyExcl)
		public ModelAndView removeLevyExcl(LevyExcl levyExcl) {
			return super.removeLevyExcl(levyExcl);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 부과제외 대장 목록 삭제", value=METHOD_URL.removeLevyExclList)
		public ModelAndView removeLevyExclList(ExclQuery req) {
			return super.removeLevyExclList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 부과제외 정보 조회", value=METHOD_URL.getLevyExclInfo)
		public ModelAndView getLevyExclInfo(String saveCallbackFuncName, String savedCallbackFuncName, ExclQuery req) {
			return super.getLevyExclInfo(saveCallbackFuncName, savedCallbackFuncName, req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 부과제외 대장 등록", value=METHOD_URL.createLevyExcl)
		public ModelAndView createLevyExcl(LevyExcl levyExcl) {
			return super.createLevyExcl(levyExcl);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 부과제외 대장 수정", value=METHOD_URL.updateLevyExcl)
		public ModelAndView updateLevyExcl(LevyExcl levyExcl) {
			return super.updateLevyExcl(levyExcl);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과제외_의견제출 관리", value=CLASS_URL+Excl02Controller.CLASS_URL)
	class Excl02Controller extends cokr.xit.fims.excl.web.Excl02Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 대장 목록 조회", value=METHOD_URL.getOpnnSbmsnList)
		public ModelAndView getOpnnSbmsnList(ExclQuery req) {
			return super.getOpnnSbmsnList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 대장 삭제", value=METHOD_URL.removeOpnnSbmsn)
		public ModelAndView removeOpnnSbmsn(OpnnSbmsn opnnSbmsn) {
			return super.removeOpnnSbmsn(opnnSbmsn);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 대장 목록 삭제", value=METHOD_URL.removeOpnnSbmsnList)
		public ModelAndView removeOpnnSbmsnList(ExclQuery req) {
			return super.removeOpnnSbmsnList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 정보 조회", value=METHOD_URL.getOpnnSbmsnInfo)
		public ModelAndView getOpnnSbmsnInfo(ExclQuery req) {
			return super.getOpnnSbmsnInfo(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 대장 등록", value=METHOD_URL.createOpnnSbmsn)
		public ModelAndView createOpnnSbmsn(OpnnSbmsn opnnSbmsn, MultipartFile[] uploadFiles) {
			return super.createOpnnSbmsn(opnnSbmsn, uploadFiles);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 대장 수정", value=METHOD_URL.updateOpnnSbmsn)
		public ModelAndView updateOpnnSbmsn(OpnnSbmsn opnnSbmsn, MultipartFile[] uploadFiles) {
			return super.updateOpnnSbmsn(opnnSbmsn, uploadFiles);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 대장 심의 조회", value=METHOD_URL.getOpnnSbmsnAnswerInfo)
		public ModelAndView getOpnnSbmsnAnswerInfo(ExclQuery req) {
			return super.getOpnnSbmsnAnswerInfo(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 대장 심의 수정", value=METHOD_URL.updateOpnnSbmsnAnswer)
		public ModelAndView updateOpnnSbmsnAnswer(OpnnSbmsn opnnSbmsn) {
			return super.updateOpnnSbmsnAnswer(opnnSbmsn);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과제외_재등록 관리", value=CLASS_URL+Excl03Controller.CLASS_URL)
	class Excl03Controller extends cokr.xit.fims.excl.web.Excl03Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 단속재등록 대장 목록 조회", value=METHOD_URL.getCrdnReRegList)
		public ModelAndView getCrdnReRegList(ExclQuery req) {
			return super.getCrdnReRegList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속재등록 대장 등록", value=METHOD_URL.createCrdnReReg)
		public ModelAndView createCrdnReReg(CrdnReReg crdnReReg) {
			return super.createCrdnReReg(crdnReReg);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속재등록 대장 삭제", value=METHOD_URL.removeCrdnReReg)
		public ModelAndView removeCrdnReReg(CrdnReReg crdnReReg) {
			return super.removeCrdnReReg(crdnReReg);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과_부과 관리", value=CLASS_URL+Levy01Controller.CLASS_URL)
	class Levy01Controller extends cokr.xit.fims.levy.web.Levy01Controller {}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과_과태료 감경 관리", value=CLASS_URL+Levy02Controller.CLASS_URL)
	class Levy02Controller extends cokr.xit.fims.levy.web.Levy02Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 과태료 감경 대장 목록 조회", value=METHOD_URL.getRductList)
		public ModelAndView getRductList(LevyQuery req) {
			return super.getRductList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 과태료 감경 대장 삭제", value=METHOD_URL.removeRduct)
		public ModelAndView removeRduct(Rduct rduct) {
			return super.removeRduct(rduct);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 과태료 감경 대장 목록 삭제", value=METHOD_URL.removeRductList)
		public ModelAndView removeRductList(LevyQuery req) {
			return super.removeRductList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 과태료 감경 정보 조회", value=METHOD_URL.getRductInfo)
		public ModelAndView getRductInfo(LevyQuery req) {
			return super.getRductInfo(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 과태료 감경 대장 등록", value=METHOD_URL.createRduct)
		public ModelAndView createRduct(Rduct rduct) {
			return super.createRduct(rduct);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 과태료 감경 대장 수정", value=METHOD_URL.updateRduct)
		public ModelAndView updateRduct(Rduct rduct) {
			return super.updateRduct(rduct);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 업무지원_통합조회", value=CLASS_URL+"/sprt/sprt01/")
	class Sprt01Controller extends cokr.xit.fims.sprt.web.Sprt01Controller {}

	@Controller
	@RequestMapping(name="전용차로과태료업무 업무지원_개별총정보", value=CLASS_URL+Sprt02Controller.CLASS_URL)
	class Sprt02Controller extends cokr.xit.fims.sprt.web.Sprt02Controller {


		@Override
		@RequestMapping(name="전용차로과태료업무 개별총정보 메인", value=METHOD_URL.indivTotalInfoMain)
		public ModelAndView indivTotalInfoMain(SprtQuery req) {
			return super.indivTotalInfoMain(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속, 납부자 정보 조회", value=METHOD_URL.getCrdnPayerInfo)
		public ModelAndView getCrdnPayerInfo(SprtQuery req) {
			return super.getCrdnPayerInfo(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속 이미지 파일 정보 조회", value=METHOD_URL.getCrdnFileList)
		public ModelAndView getCrdnFileList(SprtQuery req) {
			return super.getCrdnFileList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속 이미지 파일 저장", value=METHOD_URL.updateCrdnImageFile)
		public ModelAndView updateCrdnImageFile(Crdn crdn, MultipartFile[] newFileList) {
			return super.updateCrdnImageFile(crdn, newFileList);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속 이미지 파일 삭제", value=METHOD_URL.removeCrdnImageFile)
		public ModelAndView removeCrdnImageFile(String crdnId, String atchFileCnt, String... fileIDs) {
			return super.removeCrdnImageFile(crdnId, atchFileCnt, fileIDs);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 의견제출 정보 조회", value=METHOD_URL.getOpnnSbmsnInfo)
		public ModelAndView getOpnnSbmsnInfo(SprtQuery req) {
			return super.getOpnnSbmsnInfo(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 발송, 반송 정보 조회", value=METHOD_URL.getSndngInfo)
		public ModelAndView getSndngInfo(SprtQuery req) {
			return super.getSndngInfo(req);
		}
		@Override
		@RequestMapping(name="전용차로과태료업무 처리 상세 정보 조회", value=METHOD_URL.getPrcsDtlInfo)
		public ModelAndView getPrcsDtlInfo(SprtQuery req) {
			return super.getPrcsDtlInfo(req);
		}
		@Override
		@RequestMapping(name="전용차로과태료업무 부과, 체납 정보 조회", value=METHOD_URL.getLevyNpmntInfo)
		public ModelAndView getLevyNpmntInfo(SprtQuery req) {
			return super.getLevyNpmntInfo(req);
		}
		@Override
		@RequestMapping(name="전용차로과태료업무 수납 정보 조회", value=METHOD_URL.getRcvmtInfo)
		public ModelAndView getRcvmtInfo(SprtQuery req) {
			return super.getRcvmtInfo(req);
		}
		@Override
		@RequestMapping(name="전용차로과태료업무 민원 상담 정보 조회", value=METHOD_URL.getCvlcptDscsnCnInfo)
		public ModelAndView getCvlcptDscsnCnInfo(SprtQuery req) {
			return super.getCvlcptDscsnCnInfo(req);
		}


	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 업무지원_민원상담", value=CLASS_URL+Sprt04Controller.CLASS_URL)
	class Sprt04Controller extends cokr.xit.fims.sprt.web.Sprt04Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 상담 내용 대장 목록 조회", value=METHOD_URL.getCvlcptDscsnCnList)
		public ModelAndView getCvlcptDscsnCnList(SprtQuery req) {
			return super.getCvlcptDscsnCnList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 상담 내용 대장 삭제", value=METHOD_URL.removeCvlcptDscsnCn)
		public ModelAndView removeCvlcptDscsnCn(CvlcptDscsnCn cvlcptDscsnCn) {
			return super.removeCvlcptDscsnCn(cvlcptDscsnCn);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 상담 내용 대장 목록 삭제", value=METHOD_URL.removeCvlcptDscsnCnList)
		public ModelAndView removeCvlcptDscsnCnList(SprtQuery req) {
			return super.removeCvlcptDscsnCnList(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 상담 내용 정보 조회", value=METHOD_URL.getCvlcptDscsnCnInfo)
		public ModelAndView getCvlcptDscsnCnInfo(SprtQuery req) {
			return super.getCvlcptDscsnCnInfo(req);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 상담 내용 대장 등록", value=METHOD_URL.createCvlcptDscsnCn)
		public ModelAndView createCvlcptDscsnCn(CvlcptDscsnCn cvlcptDscsnCn) {
			return super.createCvlcptDscsnCn(cvlcptDscsnCn);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 상담 내용 대장 수정", value=METHOD_URL.updateCvlcptDscsnCn)
		public ModelAndView updateCvlcptDscsnCn(CvlcptDscsnCn cvlcptDscsnCn) {
			return super.updateCvlcptDscsnCn(cvlcptDscsnCn);
		}

	}

}
